Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.regexp
Class REUtil

    java.lang.Object
      |
      +--org.apache.regexp.REUtil

public class REUtil
extends Object

This is a class that contains utility helper methods for this package.

Version:
  $Id: REUtil.java,v 1.2 2000/04/30 20:42:35 jon Exp $
Author:
  Jonathan Locke

Constructor Summary
`REUtil()`

Method Summary
`static RE` | `createRE(String expression)` Creates a regular expression, permitting simple or complex syntax
`static RE` | `createRE(String expression, int matchFlags)` Creates a regular expression, permitting simple or complex syntax

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### REUtil

    public REUtil()

Method Detail

### createRE

    public static RE createRE(String expression,
                              int matchFlags)
                       throws RESyntaxException

  Creates a regular expression, permitting simple or complex syntax
  Parameters:
    `expression` - The expression, beginning with a prefix if it's complex or having no prefix if it's simple
    `matchFlags` - Matching style flags
  Returns:
    The regular expression object
  Throws:
    `RESyntaxException` - thrown in case of error

### createRE

    public static RE createRE(String expression)
                       throws RESyntaxException

  Creates a regular expression, permitting simple or complex syntax
  Parameters:
    `expression` - The expression, beginning with a prefix if it's complex or having no prefix if it's simple
  Returns:
    The regular expression object
  Throws:
    `RESyntaxException` - thrown in case of error

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD